Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0042042
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] Y. DBSourceManagermajorhave not tried2019-10-16 16:422019-12-12 23:01
ReporterAugustoMauchView Statuspublic 
Assigned ToAugustoMauch 
PrioritynormalResolutionfixedFixed in Version3.0PR20Q1
StatusclosedFix in branchFixed in SCM revisione7f2c0e1b428
ProjectionnoneETAnoneTarget Version3.0PR20Q1
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0042042: Add support of materialized views

DescriptionThe Reporting project requires that dbsourcemanager is able to support the use of materialized views.

Wiki: http://wiki.openbravo.com/wiki/Projects:Support_Partial_Indexes [^]
Steps To Reproduce-
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to feature request 0042089 closedAugustoMauch Make ExportDatabase and CreateDatabase extensible so that they can be reused for the reporting project 
causes defect 0042450 closedAugustoMauch Error during create.database with Postgresql11,12 and 13 with user_tab_columns view 
causes defect 0042477 closedalostale Log is too verbose in Oracle when exporting the database 
causes defect 0047414 closedalostale ant package.module -Dmodule not working in Oracle 

-  Notes
(0115917)
hgbot (developer)
2019-11-27 22:40

Repository: erp/devel/pi
Changeset: e7f2c0e1b428e98ce4aaa8cb1563fd705f37edb0
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Wed Nov 27 22:40:08 2019 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/e7f2c0e1b428e98ce4aaa8cb1563fd705f37edb0 [^]

Fixes issue 42042: Adds support for materialized views

Dbsourcemanager supports now the definition of materialized views.

For more information check out the wiki entry:
http://wiki.openbravo.com/wiki/Projects:Support_Materialized_Views_In_DBSourceManager [^]

---
M src-db/database/build-create.xml
M src-db/database/lib/dbsourcemanager.jar
M src-db/database/model/prescript-Oracle.sql
M src-db/database/model/prescript-PostgreSql.sql
M src/org/openbravo/service/system/DatabaseValidator.java
M src/org/openbravo/service/system/SystemService.java
M src/org/openbravo/service/system/SystemValidator.java
---
(0115976)
alostale (developer)
2019-11-29 09:50

Reviewed and tested, see https://gitlab.com/openbravocode/product/dbsm/merge_requests/2 [^]
(0116290)
hudsonbot (developer)
2019-12-12 23:01

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/954d2b7a66fb [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-10-16 16:42 AugustoMauch New Issue
2019-10-16 16:42 AugustoMauch Assigned To => AugustoMauch
2019-10-16 16:42 AugustoMauch Modules => Core
2019-10-16 16:42 AugustoMauch Triggers an Emergency Pack => No
2019-11-27 22:40 hgbot Checkin
2019-11-27 22:40 hgbot Note Added: 0115917
2019-11-27 22:40 hgbot Status new => resolved
2019-11-27 22:40 hgbot Resolution open => fixed
2019-11-27 22:40 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/e7f2c0e1b428e98ce4aaa8cb1563fd705f37edb0 [^]
2019-11-29 09:50 alostale Review Assigned To => alostale
2019-11-29 09:50 alostale Note Added: 0115976
2019-11-29 09:50 alostale Status resolved => closed
2019-11-29 09:50 alostale Fixed in Version => 3.0PR20Q1
2019-11-29 13:00 alostale Relationship added causes 0042450
2019-12-05 07:54 alostale Relationship added related to 0042089
2019-12-05 07:55 alostale Relationship added causes 0042477
2019-12-12 23:01 hudsonbot Checkin
2019-12-12 23:01 hudsonbot Note Added: 0116290
2021-07-21 08:50 alostale Relationship added related to 0047414
2021-07-21 11:21 alostale Relationship replaced causes 0047414


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker